TransactionTemplate (Mule ESB 2.2.1 API)
Keywords: org.mule.transaction.TransactionTemplate class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transaction
Class TransactionTemplate

    java.lang.Object
      org.mule.transaction.TransactionTemplate

    public class TransactionTemplate

extends Object

Constructor Summary
`TransactionTemplate(TransactionConfig config, ExceptionListener listener, MuleContext context)`

Method Summary
`Object` | `execute(TransactionCallback callback)`
`protected void` | `resolveTransaction(Transaction tx)`
`protected void` | `resumeXATransaction(Transaction tx)`
`protected void` | `suspendXATransaction(Transaction tx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionTemplate

    public TransactionTemplate(TransactionConfig config,
                               ExceptionListener listener,
                               MuleContext context)

Method Detail

### execute

    public Object execute(TransactionCallback callback)
                   throws Exception

  Throws:
    `Exception`

### resolveTransaction

    protected void resolveTransaction(Transaction tx)
                               throws TransactionException

  Throws:
    `TransactionException`

### suspendXATransaction

    protected void suspendXATransaction(Transaction tx)
                                 throws TransactionException

  Throws:
    `TransactionException`

### resumeXATransaction

    protected void resumeXATransaction(Transaction tx)
                                throws TransactionException

  Throws:
    `TransactionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.